import 'package:flutter/material.dart';
import 'package:piring_baru/components/constants.dart';
import 'package:flutter_svg/flutter_svg.dart';

class LoginScreenTopImage extends StatelessWidget {
  const LoginScreenTopImage({
    Key? key,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    final Size screenSize = MediaQuery.of(context).size;
    return Column(
      mainAxisAlignment: MainAxisAlignment.center,
      children: <Widget>[
        Row(
          children: [
            const Spacer(),
            Expanded(
              flex: 8,
              child: SvgPicture.asset(
                "assets/images/login.svg",
                width: screenSize.width * 0.5, // Misalnya, 50% lebar layar
                height: screenSize.height * 0.3, // Misalnya, 30% tinggi layar
              ),
            ),
            const Spacer(),
          ],
        ),
        // Text(
        //   "LOGIN",
        //   style: TextStyle(fontWeight: FontWeight.bold),
        // ),
        SizedBox(height: defaultPadding * 2),
      ],
    );
  }
}
